local clsCloud = require("clsCloud")

local function createCloud()
	if frameCount%300 == 0 then
		local cloud = clsCloud.new(-92, math.random(0, contentHeight/2), math.random(1,5))
		--you can custom where cloud appear in clsCloud
		grpCloud:addChild(cloud)
	end
end

local function runGame(event)
	if gameIsActive then
		frameCount = frameCount + 1
		moveCloud()
		createCloud()
	end
end

local function moveCloud()
	for i = grpCloud:getNumChildren(), 1, -1 do
		local cloud = grpCloud:getChildAt(i)
		cloud:move(CLOUD_SPEED)
		if cloud:getX() > contentWidth + 90 then --custom when we destroy cloud
			cloud:destroy()
		end
	end
end

function startListeners()
	stage:addEventListener(Event.ENTER_FRAME, runGame)
end

function stopListeners()
	stage:removeEventListener(Event.ENTER_FRAME, runGame)
end

function startGame()
	startListeners()
end

startGame()